/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.samples.livetour.uibeans;

import java.io.File;
import java.io.Serializable;
import java.util.Date;

import javax.servlet.http.HttpServletRequest;

public class DirectoryBean implements Serializable
{
	private static final long serialVersionUID = 1L;
	
	private File dir;
	
	public void load(HttpServletRequest request)
	{
		dir = new File(request.getParameter("dir"));
	}
	public String getPath()
	{
		return dir.getAbsolutePath();
	}
	public String getName()
	{
		return dir.getName();
	}
	public File[] getFiles()
	{
		return dir.listFiles();
	}
	public static Date getLastModified(File f)
	{
		return new Date(f.lastModified());
	}
	public static String getType(File f)
	{
		if(f.isDirectory())
			return "folder";
		String extension = f.getName();
		int idx = extension.lastIndexOf('.');
		if(idx >= 0)
			extension = extension.substring(idx+1);
		else
			return "generic";
		
		//  TODO: manage types
		
		return "generic";
	}
}
